# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'ContactSettings.form'
        db.add_column('cmsplugin_contactsettings', 'form',
                      self.gf('django.db.models.fields.CharField')(default='cms_plugins/contact_form.html', max_length=100),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'ContactSettings.form'
        db.delete_column('cmsplugin_contactsettings', 'form')


    models = {
        'cms.cmsplugin': {
            'Meta': {'object_name': 'CMSPlugin'},
            'changed_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'}),
            'creation_date': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.CharField', [], {'max_length': '15', 'db_index': 'True'}),
            'level': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'lft': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'parent': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.CMSPlugin']", 'null': 'True', 'blank': 'True'}),
            'placeholder': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['cms.Placeholder']", 'null': 'True'}),
            'plugin_type': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'}),
            'position': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'rght': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'tree_id': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'})
        },
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'contact_form.contactsettings': {
            'Meta': {'object_name': 'ContactSettings', 'db_table': "'cmsplugin_contactsettings'", '_ormbases': ['cms.CMSPlugin']},
            'cmsplugin_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': "orm['cms.CMSPlugin']", 'unique': 'True', 'primary_key': 'True'}),
            'email_template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/cantact_email.html'", 'max_length': '100'}),
            'form': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/contact_form.html'", 'max_length': '100'}),
            'form_template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/contact_form.html'", 'max_length': '100'}),
            'site_email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'thanks': ('django.db.models.fields.CharField', [], {'max_length': '200'}),
            'thanks_template_name': ('django.db.models.fields.CharField', [], {'default': "'cms_plugins/contact_thanks.html'", 'max_length': '100'})
        }
    }

    complete_apps = ['contact_form']